> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch channel config for notifications in DMM.



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml get /model-monitor/v2/api/notification/channel-config
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/notification/channel-config:
    get:
      tags:
        - Notification
      summary: Fetch channel config for notifications in DMM.
      operationId: getChannelConfig
      responses:
        '200':
          description: Channel config fetched successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/channelConfig'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Notification Channel config not found.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    channelConfig:
      title: Channel Config.
      description: >-
        Channel config to be used to send notifications to a particular channel
        via Domino Model Monitor.
      allOf:
        - $ref: '#/components/schemas/smtpChannelConfig'
        - type: object
          properties:
            id:
              description: Channel Config's Unique identifier.
              type: string
            createdAt:
              description: >-
                Creation timestamp of the Channel Config in Domino Model
                Monitor.
              type: integer
            updatedAt:
              description: >-
                Last update timestamp for the Channel Config in Domino Model
                Monitor.
              type: integer
    smtpChannelConfig:
      title: SMTP Channel Config.
      description: >-
        SMTP channel config used to send mail notifications in Domino Model
        Monitor.
      type: object
      properties:
        host:
          description: SMTP host.
          type: string
        port:
          description: SMTP port.
          type: integer
        username:
          description: SMTP username.
          type: string
        password:
          description: SMTP password.
          type: string
        sender:
          description: mail address to be used to send mail notification alerts.
          type: string
        recipients:
          description: >-
            mail addresses of the recipients globally configured for mail
            notification alerts.
          type: string
        configType:
          description: Notification Config type
          type: string
        tlsEnabled:
          description: SMTP TLS enabled.
          type: boolean
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````